tellcasey
APIAPI Reference

Calls

/connections/{code}/calls

GET
/connections/{code}/calls

List outbound calls for a call_out connection

Authorization

apiKeyAuth
AuthorizationBearer <token>

Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...

In: header

Path Parameters

code*string

Query Parameters

limit?integer
Default20
Range1 <= value <= 100
offset?integer
Default0
Range0 <= value
status?string

Response Body

application/json

application/json

curl -X GET "https://api.tellcasey.com/v1/backend/connections/string/calls"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "direction": "inbound",
      "connection_code": "string",
      "name": "string",
      "phone_number": "string",
      "phone_call_provider": "string",
      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
      "status": "string",
      "ended_reason": "string",
      "context": {
        "property1": null,
        "property2": null
      },
      "created_at": "string"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

/connections/{code}/calls

POST
/connections/{code}/calls

Create and dispatch an outbound phone call for a call_out connection

Authorization

apiKeyAuth
AuthorizationBearer <token>

Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...

In: header

Path Parameters

code*string

Request Body

application/json

phone_number*string
Match^\+[1-9]\d{1,14}$
name?string
Lengthlength <= 200
participant_id?string
Formatuuid
context?
schedule_plan?

Response Body

application/json

application/json

application/json

curl -X POST "https://api.tellcasey.com/v1/backend/connections/string/calls" \  -H "Content-Type: application/json" \  -d '{    "phone_number": "string"  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "direction": "inbound",
    "connection_code": "string",
    "name": "string",
    "phone_number": "string",
    "phone_call_provider": "string",
    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
    "status": "string",
    "ended_reason": "string",
    "context": {
      "property1": null,
      "property2": null
    },
    "created_at": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

/connections/{code}/calls/{id}

GET
/connections/{code}/calls/{id}

Get a single call by ID

Authorization

apiKeyAuth
AuthorizationBearer <token>

Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...

In: header

Path Parameters

code*string
id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://api.tellcasey.com/v1/backend/connections/string/calls/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "direction": "inbound",
    "connection_code": "string",
    "name": "string",
    "phone_number": "string",
    "phone_call_provider": "string",
    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
    "status": "string",
    "ended_reason": "string",
    "context": {
      "property1": null,
      "property2": null
    },
    "created_at": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}